<?php

require_once('op5/auth/Auth.php');

/**
 * Created by JetBrains PhpStorm.
 * User: Valeriy Stukanov
 * Date: 9/6/11
 * Time: 2:29 PM
 */
class ExtAuthModNinja extends CoreAuthModule
{
	protected $op5auth = null;

	public function __construct()
	{
		parent::$aFeatures = array(
			'getCredentials' => true,
			'isAuthenticated' => true,
			'getUser' => true
		);

		$conf = $driver = array();
		if (isset($_SESSION['external_widget_username'])) {
			$conf = array(
				'enable_auto_login' => true,
				'default_auth' => 'Session',
				'session_key' => false,
			);

			$driver = array(
				'Session' => array(
					'driver' => 'Session',
					'username_session_key' => 'external_widget_username',
					'groups_session_key' => 'external_widget_groups'
				)
			);
		}

		$this->op5auth = Op5Auth::factory($conf, $driver);
	}

	public function passCredentials($aData)
	{
	}

	public function passNewPassword($aData)
	{
	}

	public function changePassword()
	{
	}

	public function getCredentials()
	{
		$user = $this->op5auth->get_user();
		return array(
			'user'      => $user->username,
		);
	}

	public function isAuthenticated()
	{
		return $this->op5auth->logged_in();
	}

	public function getUser()
	{
		return $this->op5auth->get_user()->username;
	}

	public function getUserId()
	{
		return $this->getUser();
	}

	public function getOp5Auth() {
		return $this->op5auth;
	}

	//public function createPermission() {}
}
